Subject: Re: bug#1237: 23.0.60; `switch-to-buffer-other-window' sometimes uses selected window

From: martin rudalics <[email-masked]>
Date: Sat, 01 Nov 2008 19:06:08 +0100

I've been looking into this and found out that in order to fix problems
in this area we need an optional "norecord" argument for `select-frame'
and `set-frame-selected-window'.  Both of these may (indirectly) call
`select-window' and thus mess with the order of recently selected
windows (and probably also the buffer list).

As a rule, the norecord argument would be set by `with-selected-window'
and `with-selected-frame' in addition to `walk-windows'.  Personally,
I'd set it in `save-selected-window' too, but this might break
applications that rely on the implicit selection provided by the current
mechanism.

The changes are trivial and not very interesting to post.  So please
tell me whether you want them installed.

martin